=== debian/changelog ===
deepin-system-update-tools (1.0.2-deepin1) unstable; urgency=medium

  * Added sw schema compilation dependency.

 -- Hao Ding <dinghao@uniontech.com>  Thu, 27 Mar 2025 13:25:15 +0800

deepin-system-update-tools (1.0.1-deepin1) unstable; urgency=medium

  * Dependency check only checks the core system packages.

 -- Hao Ding <dinghao@uniontech.com>  Thu, 12 Sep 2024 15:05:59 +0800

deepin-system-update-tools (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- heysion <heysion@deepin.com>  Mon, 16 Oct 2023 13:53:55 +0800
