=== debian/control ===
Source: deepin-system-update-tools
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 golang (>= 2:1.15),
 gitlab-workhorse [sw64],
 golang-1.22-go [sw64],
 golang-1.22-src [sw64],
 golang-github-blevesearch-bleve-dev [sw64],
 golang-github-dnephin-cobra-dev [sw64],
 golang-github-gin-contrib-sse-dev [sw64],
 golang-github-gin-gonic-gin-dev [sw64],
 golang-github-google-uuid-dev [sw64],
 golang-github-inconshreveable-mousetrap-dev [sw64],
 golang-github-json-iterator-go-dev [sw64],
 golang-github-mattn-go-isatty-dev [sw64],
 golang-github-modern-go-concurrent-dev [sw64],
 golang-github-modern-go-reflect2-dev [sw64],
 golang-github-sirupsen-logrus-dev [sw64],
 golang-github-spf13-cobra-dev [sw64],
 golang-github-spf13-pflag-dev [sw64],
 golang-github-ugorji-go-codec-dev [sw64],
 golang-golang-x-net-dev [sw64],
 golang-golang-x-sys-dev [sw64],
 golang-gopkg-yaml.v2-dev [sw64],
 golang-goprotobuf-dev [sw64],
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-system-update
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-system-fixpkg,
Description: deepin system update tools.
 Deepin system update tools that command line.

Package: deepin-system-fixpkg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: deepin system fix depends tools.
 Deepin system fix depends tools that command line.
