=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export GOCACHE = /tmp/gocache

%:
	dh $@

override_dh_auto_test:
