## deepin-system-update-tools 1.0.5

=== debian/changelog ===
deepin-system-update-tools (1.0.5-deepin1) unstable; urgency=medium

  * Allow the pkglist to be empty; adjust the version check criteria for dpkg.

 -- Hao Ding <dinghao@uniontech.com>  Thu, 17 Apr 2025 14:56:17 +0800

deepin-system-update-tools (1.0.4-deepin1) stable; urgency=medium

  * add corePkgList config file.

 -- Hao Ding <dinghao@uniontech.com>  Wed, 15 Apr 2025 15:59:38 +0800

deepin-system-update-tools (1.0.3-deepin1) unstable; urgency=medium

  * adapt sw64.

 -- Hao Ding <dinghao@uniontech.com>  Tue, 15 Apr 2025 14:18:46 +0800
