=== debian/control ===
Source: deepin-system-update-tools
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 golang (>= 2:1.15),
 golang-1.22-go [sw64],
 golang-1.22-src [sw64],
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-system-update
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-system-fixpkg,
Description: deepin system update tools.
 Deepin system update tools that command line.

Package: deepin-system-fixpkg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: deepin system fix depends tools.
 Deepin system fix depends tools that command line.
