## deepin-system-update-tools 1.0.7

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export GO111MODULE=on
 export GOPROXY=https://goproxy.cn
 PREFIX := /usr
-
+ARCH ?= $(shell uname -m)
 BIN_UPDATE_TOOLS=deepin-system-update
 BIN_FIXPKG_TOOLS=deepin-system-fixpkg
 
@@ -16,6 +16,13 @@
 GIT_COMMIT="1.0.0"
 GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+Devel" || true)
 BUILD_DATE=$(shell date '+%Y-%m-%d-%H:%M:%S')
+ 
+ifneq ($(ARCH), mips64)
+    BUILD_OPTIONS = -linkmode=external -w -s -extldflags '-Wl,-z,relro,-z,notext,-z,now -pie'
+else
+    BUILD_OPTIONS = -extldflags=-static
+endif
+
 
 default: build
 
@@ -34,12 +41,11 @@
 
 build:
 	@echo "building ${BIN_UPDATE_TOOLS} ${VERSION} ${GIT_COMMIT}${GIT_DIRTY}"
-	CGO_ENABLED=0 go build -gcflags "-N" -ldflags="-extldflags=-static" -o bin/${BIN_UPDATE_TOOLS} cmd/${BIN_UPDATE_TOOLS}/main.go
+	CGO_ENABLED=1 go build -gcflags "-N" -ldflags="${BUILD_OPTIONS}" -o bin/${BIN_UPDATE_TOOLS} cmd/${BIN_UPDATE_TOOLS}/main.go
 
 	@echo "building ${BIN_FIXPKG_TOOLS} ${VERSION} ${GIT_COMMIT}${GIT_DIRTY}"
-	CGO_ENABLED=0 go build -ldflags="-extldflags=-static" -o bin/${BIN_FIXPKG_TOOLS} cmd/${BIN_FIXPKG_TOOLS}/main.go
+	CGO_ENABLED=1 go build -ldflags="${BUILD_OPTIONS}" -o bin/${BIN_FIXPKG_TOOLS} cmd/${BIN_FIXPKG_TOOLS}/main.go
 
-	go build -o bin/sturn tools/sturn/main.go
 
 get-deps:
 	dep ensure
@@ -47,7 +53,6 @@
 clean:
 	@test ! -e bin/${BIN_UPDATE_TOOLS} || rm bin/${BIN_UPDATE_TOOLS}
 	@test ! -e bin/${BIN_FIXPKG_TOOLS} || rm bin/${BIN_FIXPKG_TOOLS}
-	@test ! -e bin/sturn || rm bin/sturn
 
 test:
 	go test ./...
