=== debian/changelog ===
deepin-system-update-tools (1.0.7-deepin1) stable; urgency=medium

  * Remove public network addresses from the code; remove strun.

 -- Hao Ding <dingh@dingh-PC>  Fri, 11 Jul 2025 14:05:38 +0800

deepin-system-update-tools (1.0.6-deepin1) stable; urgency=medium

  * Compiler Stack Hardening.

 -- Hao Ding <dinghao@uniontech.com>  Fri, 04 Jul 2025 15:40:58 +0800
